## org.codehaus.groovy.control.io
Class InputStreamReaderSource

A ReaderSource for source strings.

author:
  Chris Poirier

version:
  $Id: InputStreamReaderSource.java 6778 2007-07-02 10:40:33Z glaforge $

Field Summary
`InputStream` | `stream`

Constructor Summary
`InputStreamReaderSource(InputStream stream, CompilerConfiguration configuration)` Creates the ReaderSource from a File descriptor.

Method Summary
`boolean` | `canReopenSource()` Returns true if the source can be restarted (ie. if getReader() will return non-null on subsequent calls.
`Reader` | `getReader()` Returns a new Reader on the underlying source object.

Constructor Detail

### InputStreamReaderSource

    public InputStreamReaderSource(InputStream stream, CompilerConfiguration configuration)

  Creates the ReaderSource from a File descriptor.
  param:
    stream stream containing source
  param:
    configuration configuration for compiling source

Method Detail

### canReopenSource

    public boolean canReopenSource()

  Returns true if the source can be restarted (ie. if getReader() will return non-null on subsequent calls.

### getReader

    public Reader getReader()

  Returns a new Reader on the underlying source object.